classification
Title: import dynamic library bug?
Type: Stage:
Components: Interpreter Core Versions: Python 2.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: broadwin, schmir
Priority: normal Keywords:

Created on 2005-08-16 21:46 by broadwin, last changed 2008-03-27 13:19 by georg.brandl. This issue is now closed.

Messages (2)
msg60802 - (view) Author: broadwin (broadwin) Date: 2005-08-16 21:46
I have just upgraded my tcl/tk to 8.4 on my linux
system. Now I have two sets of tcl/tk, the old one
(8.3) is installed under /usr, and the new one (8.4) is
installed under /usr/local. I also upgraded to Python
2.4.1. Compiling Python went fine. It found the new
tcl/tk correctly to build _tkinter.so. However it broke
on trying to import, telling me that it could not find
libtk84.so, even though it found it to build the
_tkinter.so. Creating symbolic links under /usr/lib to
libtk and libtcl solved the problem. It seems to me
that import was confused and did not search
/usr/local/lib. I use bash. Maybe I need to set some
environmental variable?
msg63532 - (view) Author: Ralf Schmitt (schmir) Date: 2008-03-14 17:45
maybe running ldconfig, or changing /etc/ld.so.conf would have helped.
I'd say close this bug report.
History
Date User Action Args
2008-03-27 13:19:29georg.brandlsetstatus: open -> closed
resolution: out of date
2008-03-14 17:45:45schmirsetnosy: + schmir
messages: + msg63532
2005-08-16 21:46:24broadwincreate